### Method

# Clutter KeyframeTransition set_key_frame

#### Declaration [src]

    void
    clutter_keyframe_transition_set_key_frame (
      ClutterKeyframeTransition* transition,
      guint index_,
      double key,
      ClutterAnimationMode mode,
      const GValue* value
    )

#### Description [src]

Sets the details of the key frame at `index_` inside `transition`.

The `transition` must already have a key frame at `index_`, and `index_` must be smaller than the number of key frames inside `transition`.

#### Parameters

`index_`

  Type: `guint`

  The index of the key frame.

`key`

  Type: `double`

  The key of the key frame.

`mode`

  Type: `ClutterAnimationMode`

  The easing mode of the key frame.

`value`

  Type: `GValue`

  A `GValue` containing the value of the key frame.

  The data is owned by the caller of the method.